Name:           amahi-ushare
Version: 1.0
Release:        2

Summary:        amahi-ushare is the Amahi uShare daemon.

Group:          System Environment/Daemons
Source:		    amahi-ushare-%{version}.tar.gz
License:        GPL
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires: ushare funionfs

%define debug_package %{nil}

%description
amahi-ushare is the Amahi uShare daemon.

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/ushare
mkdir -p $RPM_BUILD_ROOT/var/hda/apps/ushare/files

install -m 0755 -D -p amahi-ushare.initscript ${RPM_BUILD_ROOT}%{_initrddir}/amahi-ushare
install -m 0664 -D -p ushare.conf ${RPM_BUILD_ROOT}/var/hda/apps/ushare/

%clean
rm -rf $RPM_BUILD_ROOT

%pre

%post
/sbin/chkconfig --add amahi-ushare
/sbin/chkconfig amahi-ushare on
if ( ! ( [ -f /etc/fuse.conf ] && grep -q user_allow_other /etc/fuse.conf ) ) ; then
	echo "user_allow_other" > /etc/fuse.conf
fi
/sbin/service amahi-ushare start 2>&1 > /dev/null

%preun

if [ "$1" != 0 ]; then
	/sbin/service amahi-ushare condrestart 2>&1 > /dev/null
else
	# not an update, a complete uninstall
	/sbin/service amahi-ushare stop 2>&1 > /dev/null
	/sbin/chkconfig --del amahi-ushare
	
fi

%files
%defattr(-,root,root,-)
%{_initrddir}/amahi-ushare
%attr(-,apache,users) /var/hda/apps/ushare/ushare.conf
%ghost %attr(-,apache,users) /var/hda/apps/ushare/files

%changelog
* Mon Mar 23 2009 carlos puchol
- improved to use a single directory with fuse's unionfs
* Sun Mar 23 2009 nesl247
- started
